Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class CollaborationRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.collab.util.NestedRuntimeException
                      com.compoze.collab.CollaborationRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidArgumentException, InvalidStateException, InvalidValueException, NullValueException, OperationUnsupportedException

public class CollaborationRuntimeException
extends com.compoze.collab.util.NestedRuntimeException

Serves as the superclass of all exceptions thrown from the collaboration services API.

See Also:
  Serialized Form

Constructor Summary
`CollaborationRuntimeException(CollaborationException e)` Constructs a CollaborationRuntimeException from a CollaborationException.
`CollaborationRuntimeException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.
`CollaborationRuntimeException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.
`CollaborationRuntimeException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.
`CollaborationRuntimeException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.

Method Summary
`java.lang.String` | `getAdminMessage()` Gets a message that is suitable for display to an administrator.
`java.lang.String` | `getAdminResolution()` Gets a message that provides a suggested admin resolution for the exception.
`java.lang.String` | `getProgrammerMessage()` Gets a message that is suitable for display to a programmer.
`java.lang.String` | `getProgrammerResolution()` Gets a message that provides a suggested programmer resolution for the exception.
`java.lang.String` | `getUserMessage()` Gets a message that is suitable for display to an end user.
`java.lang.String` | `getUserResolution()` Gets a message that provides a suggested user resolution for the exception.
`static void` | `main(java.lang.String[] args)` Main.

Methods inherited from class com.compoze.collab.util.NestedRuntimeException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollaborationRuntimeException

    public CollaborationRuntimeException(CollaborationException e)

  Constructs a CollaborationRuntimeException from a CollaborationException.

Parameters:
  `e` - the CollaborationException to turn into a CollaborationRuntimeException

### CollaborationRuntimeException

    public CollaborationRuntimeException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.

Parameters:
  `ctx` - Context for this exception (not `null`)
  `key` - the exception key in the resource file (not `null`)

### CollaborationRuntimeException

    public CollaborationRuntimeException(com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key,
                                         java.lang.Object param)

  Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.

Parameters:
  `ctx` - Context for this exception (not `null`)
  `key` - the exception key in the resource file (not `null`)
  `param` - the parameter to the exception message (not `null`) This can either be an `Object` or an `Object[]` if multiple parameters need to be specified.

### CollaborationRuntimeException

    public CollaborationRuntimeException(java.lang.Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.

Parameters:
  `t` - the underlying exception
  `ctx` - Context for this exception (not `null`)
  `key` - the exception key in the resource file (not `null`)

### CollaborationRuntimeException

    public CollaborationRuntimeException(java.lang.Throwable t,
                                         com.compoze.collab.spi.Context ctx,
                                         com.compoze.collab.spi.ExceptionResourceKey key,
                                         java.lang.Object param)

  Constructs a CollaborationRuntimeException and its CollaborationExceptionInfo.

Parameters:
  `t` - the underlying exception
  `ctx` - Context for this exception (not `null`)
  `key` - the exception key in the resource file (not `null`)
  `param` - the parameter to the exception message (not `null`). This can either be an `Object` or an `Object[]` if multiple parameters need to be specified.

Method Detail

### getUserMessage

    public java.lang.String getUserMessage()

  Gets a message that is suitable for display to an end user.

  Returns:
    the user message

### getAdminMessage

    public java.lang.String getAdminMessage()

  Gets a message that is suitable for display to an administrator.

  Returns:
    the administrator message

### getProgrammerMessage

    public java.lang.String getProgrammerMessage()

  Gets a message that is suitable for display to a programmer.

  Returns:
    the programmer message

### getProgrammerResolution

    public java.lang.String getProgrammerResolution()

  Gets a message that provides a suggested programmer resolution for the exception.

  Returns:
    the programmer resolution

### getUserResolution

    public java.lang.String getUserResolution()

  Gets a message that provides a suggested user resolution for the exception.

  Returns:
    the user resolution

### getAdminResolution

    public java.lang.String getAdminResolution()

  Gets a message that provides a suggested admin resolution for the exception.

  Returns:
    the admin resolution

### main

    public static void main(java.lang.String[] args)

  Main. Exerciser for collaboration exception.

  Parameters:
    `args` - command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.